//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <SI_EFM8LB1_Register_Enums.h>                  // SFR declarations
#include "InitDevice.h"
#include "Project_DefsVarsFuncs.h"

unsigned int Num_Samples_Sent = 0;

//-----------------------------------------------------------------------------
// main() Routine
// ----------------------------------------------------------------------------
int main(void)
{
	//call hardware initialization routine
	enter_DefaultMode_from_RESET();

	StopMotors();	//ensure that the motors are disabled

	ACC_ST = 0;	//accelerometer self-test is not active

	SFRPAGE = UART0_PAGE;
	SCON0_TI = 0;	//make sure that the UART transmit interrupt flag is cleared

	Delay_10ms(100);

	/*ADC conversions are triggered by Timer5 overflows,
	 * so we initiate ADC conversions by starting Timer5.*/
	SFRPAGE = TIMER5_PAGE;
	TMR5CN0_TR5 = 1;

	while(1);
}
